libetonyek::IWORKZlibStream Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKZlibStream Class Reference

`#include <IWORKZlibStream.h>`

Inheritance diagram for libetonyek::IWORKZlibStream:

## Public Member Functions
| IWORKZlibStream (const RVNGInputStreamPtr_t &stream)
| ~IWORKZlibStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Attributes
RVNGInputStreamPtr_t | m_stream

## Constructor & Destructor Documentation

## ◆ IWORKZlibStream()

libetonyek::IWORKZlibStream::IWORKZlibStream | ( | const RVNGInputStreamPtr_t & | stream | ) |

## ◆ ~IWORKZlibStream()

libetonyek::IWORKZlibStream::~IWORKZlibStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libetonyek::IWORKZlibStream::existsSubStream | ( | const char * |  | ) |
| inlineoverride

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libetonyek::IWORKZlibStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libetonyek::IWORKZlibStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libetonyek::IWORKZlibStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libetonyek::IWORKZlibStream::isStructured | ( |  | ) |
| override

## ◆ read()

const unsigned char * libetonyek::IWORKZlibStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| override

## ◆ seek()

int libetonyek::IWORKZlibStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| override

## ◆ subStreamCount()

unsigned libetonyek::IWORKZlibStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libetonyek::IWORKZlibStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libetonyek::IWORKZlibStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWORKZlibStream::m_stream
| private

Referenced by isEnd(), IWORKZlibStream(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IWORKZlibStream.h
- IWORKZlibStream.cpp